// Author(s): Jeroen Keiren
// Copyright: see the accompanying file COPYING or copy at
// https://github.com/mCRL2org/mCRL2/blob/master/COPYING
//
// Distributed under the Boost Software License, Version 1.0.
// (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)
//
/// \file mcrl2/data/data.h
/// \brief Contains includes of frequently used header files for data
///        expressions.

#ifndef MCRL2_DATA_DATA_H
#define MCRL2_DATA_DATA_H

namespace mcrl2
{
/// \brief Namespace for all data library functionality
namespace data
{
}
}

#include "mcrl2/data/abstraction.h"
#include "mcrl2/data/application.h"
#include "mcrl2/data/data_expression.h"
#include "mcrl2/data/exists.h"
#include "mcrl2/data/forall.h"
#include "mcrl2/data/function_symbol.h"
#include "mcrl2/data/lambda.h"
#include "mcrl2/data/variable.h"
#include "mcrl2/data/where_clause.h"

#endif // MCRL2_DATA_DATA_H
